Bug 558581 - No confirmation message after saving group configuration change
No confirmation message after saving group configuration change
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.3.1
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Jeff Weiss
: SubBug
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-01-25 13:14 EST by Jeff Weiss
Modified: 2015-02-01 18:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 13:02:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2010-01-25 13:14:17 EST
Description of problem:
After saving a group-config change, there used to be a confirmation message.  That message is no longer there - a regression.

Version-Release number of selected component (if applicable):
2.3.1 (qa build 1)

How reproducible:
always

Steps to Reproduce:
1. create compat group (I used datasources)
2. go to config tab of that group
3. Edit the config, change something, click Save

  
Actual results:
You are taken to the History subtab

Expected results:
You are taken to the history subtab, with a green bar confirmation message that says something about the change being submitted.

Additional info:
Comment 1 Jeff Weiss 2010-02-05 15:05:11 EST
Turns out this wasn't a regression - there never was a confirmation message.  However there *are* confirm messages when you save a config change for a individual resource.  So I think we should still fix this so it's consistent.
Comment 2 wes hayutin 2010-02-16 11:59:17 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:04:13 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Ian Springer 2011-02-16 14:21:39 EST
We should make sure there are success messages displayed for both resource and group configs in coregui.
Comment 5 John Mazzitelli 2011-03-22 15:25:43 EDT
I just tested this on master and this is working now. You get green messages when you group-change plugin config or resource config.
Comment 6 Sunil Kondkar 2011-06-07 06:27:49 EDT
Verified on build#116 (Version: 4.1.0-SNAPSHOT Build Number: 6ae3b13)

Created a compatible group of datasources, navigated to the config tab and saved a configuration change.
Verified that it navigates to the history page and displays a green message 'The group configuration updates have been initiated'.

Also verified that saving the config change for individual resources navigates to the history page and displays green message (Ex: Configuration updated - current version is 10691).

Marking as verified.
Comment 8 Heiko W. Rupp 2013-09-03 13:02:03 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.